
Infrastructure - Task #5337

Story # 4708 (Closed): Test CN on Ubuntu 12.04

create migration script for tomcat7

2014-05-27 18:47 - Robert Waltz

Status: Closed Start date: 2014-05-23

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.7   

Description

in the dataone-cn-os-core postinst script, for this upgrade, change the /var/log/dataone user and group to be tomcat7 recursively. 

Add in a new log directory of /var/log/dataone/cn

Associated revisions

Revision 1e74ac39 - 2014-05-28 20:40 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13888 - 2014-05-28 20:40 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13888 - 2014-05-28 20:40 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13888 - 2014-05-28 20:40 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13888 - 2014-05-28 20:40 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 4f50367b - 2014-05-28 20:52 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13889 - 2014-05-28 20:52 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13889 - 2014-05-28 20:52 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13889 - 2014-05-28 20:52 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13889 - 2014-05-28 20:52 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 6914a5df - 2014-05-28 21:26 - Robert Waltz
refs #5337 - create migration script for tomcat7

Revision 13891 - 2014-05-28 21:26 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13891 - 2014-05-28 21:26 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13891 - 2014-05-28 21:26 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 13891 - 2014-05-28 21:26 - Robert Waltz

refs #5337 - create migration script for tomcat7

Revision 6ff6dba5 - 2014-06-10 23:07 - Robert Waltz

refs #5337

create migration script for tomcat7. add  group where there should have been one added

Revision 13957 - 2014-06-10 23:07 - Robert Waltz

refs #5337 

create migration script for tomcat7. add  group where there should have been one added

Revision 13957 - 2014-06-10 23:07 - Robert Waltz

refs #5337 

create migration script for tomcat7. add  group where there should have been one added

Revision 13957 - 2014-06-10 23:07 - Robert Waltz

refs #5337 

create migration script for tomcat7. add  group where there should have been one added

Revision 13957 - 2014-06-10 23:07 - Robert Waltz

refs #5337 

create migration script for tomcat7. add  group where there should have been one added

Revision 8125c2c4 - 2014-06-11 05:17 - Robert Waltz

refs #5337

create migration script for tomcat7. replace group with -1 when chown only userid

Revision 13960 - 2014-06-11 05:17 - Robert Waltz

refs #5337 
create migration script for tomcat7. replace group with -1 when chown only userid

Revision 13960 - 2014-06-11 05:17 - Robert Waltz

refs #5337 

create migration script for tomcat7. replace group with -1 when chown only userid

Revision 13960 - 2014-06-11 05:17 - Robert Waltz

refs #5337 

create migration script for tomcat7. replace group with -1 when chown only userid

Revision 13960 - 2014-06-11 05:17 - Robert Waltz

refs #5337 

create migration script for tomcat7. replace group with -1 when chown only userid

Revision 18447227 - 2014-06-14 03:09 - Robert Waltz

refs #5337

remove migration script for tomcat7 going forward after 1.2.7 release.

Revision 13993 - 2014-06-14 03:09 - Robert Waltz

refs #5337 

remove migration script for tomcat7 going forward after 1.2.7 release.

Revision 13993 - 2014-06-14 03:09 - Robert Waltz

refs #5337 

remove migration script for tomcat7 going forward after 1.2.7 release.

Revision 13993 - 2014-06-14 03:09 - Robert Waltz

refs #5337 

remove migration script for tomcat7 going forward after 1.2.7 release.

Revision 13993 - 2014-06-14 03:09 - Robert Waltz

refs #5337 

remove migration script for tomcat7 going forward after 1.2.7 release.

Revision 358a2e3e - 2014-06-14 03:27 - Robert Waltz

refs #5337  - create migration script for tomcat7. run regardless of reconfigure, install or update. it will be removed next release.
Revision 13994 - 2014-06-14 03:27 - Robert Waltz

refs #5337  - create migration script for tomcat7. run regardless of reconfigure, install or update. it will be removed next release.

Revision 13994 - 2014-06-14 03:27 - Robert Waltz

refs #5337  - create migration script for tomcat7. run regardless of reconfigure, install or update. it will be removed next release.

Revision 13994 - 2014-06-14 03:27 - Robert Waltz

refs #5337  - create migration script for tomcat7. run regardless of reconfigure, install or update. it will be removed next release.

Revision 13994 - 2014-06-14 03:27 - Robert Waltz

refs #5337  - create migration script for tomcat7. run regardless of reconfigure, install or update. it will be removed next release.

Revision e80d94e8 - 2014-07-07 21:56 - Robert Waltz

refs #5337

the debian configuration xml and xsd files pointed to trunk instead of to releases website.

the prepareMigrateTomcat7.pl had incorrect optional argument

-upping the release level

Revision 14103 - 2014-07-07 21:56 - Robert Waltz

refs #5337 

the debian configuration xml and xsd files pointed to trunk instead of to releases website.  

the prepareMigrateTomcat7.pl had incorrect optional argument

-upping the release level

Revision 14103 - 2014-07-07 21:56 - Robert Waltz

refs #5337 

the debian configuration xml and xsd files pointed to trunk instead of to releases website.  

the prepareMigrateTomcat7.pl had incorrect optional argument

-upping the release level

History
#1 - 2014-05-28 20:38 - Robert Waltz

- Subject changed from modify /var/log/dataone for new tomcat7 user to create migration script for tomcat7

- Milestone changed from None to CCI-1.2

- Assignee set to Robert Waltz

- Category set to d1_cn_buildout

All dataone files that are significant for continuing tomcat operation under tomcat version 7 will need their userid and groupid set to Tomcat7 before

Tomcat6 is removed.

#2 - 2014-05-28 20:39 - Robert Waltz

- Status changed from New to In Progress

#3 - 2014-05-30 21:32 - Robert Waltz

- Status changed from In Progress to Testing

#4 - 2014-06-30 22:13 - Robert Waltz

- Target version set to 2014.26-Block.4.1

#5 - 2014-06-30 22:25 - Robert Waltz

- Product Version changed from * to 1.2.7

#6 - 2014-07-18 02:55 - Robert Waltz

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
